---
title: Access-Control-Request-Method
slug: Web/HTTP/Headers/Access-Control-Request-Method
tags:
  - CORS
  - HTTP
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Access-Control-Request-Method</code></strong> request header is used by browsers when issuing a {{glossary("preflight request")}}, to let the server know which <a href="/en-US/docs/Web/HTTP/Methods">HTTP method</a> will be used when the actual request is made. This header is necessary as the preflight request is always an {{HTTPMethod("OPTIONS")}} and doesn't use the same method as the actual request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Access-Control-Request-Method: &lt;method&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;method&gt;</dt>
 <dd>One of the <a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a>, for example {{HTTPMethod("GET")}}, {{HTTPMethod("POST")}}, or {{HTTPMethod("DELETE")}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Access-Control-Request-Method: POST</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#http-access-control-request-method', 'Access-Control-Request-Method')}}</td>
   <td>{{Spec2("Fetch")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Access-Control-Request-Method")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Access-Control-Request-Headers")}}</li>
</ul>
